#!/bin/bash

# В системе должны быть установлены пакеты
# libxcb-xinerama0, pcscd, libccid, gcr

function install_pkg {

    PKG=$1

    PKG_IS_INSTALLED=`dpkg -s $PKG 2>/dev/null | grep "Status: install ok installed"`
    if [ -z "$PKG_IS_INSTALLED" ]; then
        echo "Не установлен пакет $PKG!"
        echo "Будет выполнена попытка его установки."
        echo "В процессе установки на предложение системы установите"
        echo "необходимый диск с дистрибутивом ОС в CD-ROM."
        echo "Для продолжения нажмите клавишу ВВОД..."
        read
        sudo apt-get install -y $PKG
    fi

    PKG_IS_INSTALLED=`dpkg -s $PKG 2>/dev/null | grep "Status: install ok installed"`
    if [ -z "$PKG_IS_INSTALLED" ]; then
        echo "Не удалось установить пакет $PKG!"
        echo "Установите пакет вручную и запустите установочный скрипт заново!"
        exit 1
    fi

}

install_pkg pcscd
install_pkg gcr
install_pkg libxcb-xinerama0

JCPKCS_PACKAGE=`ls -l | sed -r -n 's/.*(jcpkcs11-2_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_amd64.deb)/\1/p'`
FLYQDM_PACKAGE=`ls -l | sed -r -n 's/.*(fly-qdm_[0-9]+\.[0-9]+\.[0-9]+\-[0-9]+_amd64.deb)/\1/p'`
UC_PACKAGE=`ls -l | sed -r -n 's/.*(jacartauc_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_smolensk_amd64.deb)/\1/p'`
JCAUTH_PACKAGE=`ls -l | sed -r -n 's/.*(jcauth_astra-1.5_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_amd64.deb)/\1/p'`

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$FLYQDM_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет fly-qdm!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

if [ -z "$JCAUTH_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcauth!"
    exit 1
fi

echo "Устанавливается пакет jcpkcs11-2!"
echo "=========================================="
sudo dpkg -i $JCPKCS_PACKAGE

echo "Устанавливается пакет fly-qdm!"
echo "=========================================="
sudo dpkg -i $FLYQDM_PACKAGE

echo
echo "Устанавливается пакет jacartauc!"
echo "=========================================="
sudo dpkg -i $UC_PACKAGE

echo
echo "Устанавливается пакет jcauth!"
echo "=========================================="
sudo dpkg -i $JCAUTH_PACKAGE
